#ifndef _Handle_PGeom_BoundedCurve_HeaderFile
#define _Handle_PGeom_BoundedCurve_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PGeom_Curve_HeaderFile
#include <Handle_PGeom_Curve.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PGeom_Curve);
class PGeom_BoundedCurve;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PGeom_BoundedCurve);

class Handle(PGeom_BoundedCurve) : public Handle(PGeom_Curve) {
  public:

    Handle(PGeom_BoundedCurve)():Handle(PGeom_Curve)() {} 
    Handle(PGeom_BoundedCurve)(const Handle(PGeom_BoundedCurve)& aHandle) : Handle(PGeom_Curve)(aHandle) 
     {
     }

    Handle(PGeom_BoundedCurve)(const PGeom_BoundedCurve* anItem) : Handle(PGeom_Curve)((PGeom_Curve *)anItem) 
     {
     }

    Handle(PGeom_BoundedCurve)& operator=(const Handle(PGeom_BoundedCurve)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PGeom_BoundedCurve)& operator=(const PGeom_BoundedCurve* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PGeom_BoundedCurve* operator->() const 
     {
      return (PGeom_BoundedCurve *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PGeom_BoundedCurve) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
